-- +goose Up
-- +goose StatementBegin
DO $$
BEGIN
    -- Check if start_timestamp column exists
    IF NOT EXISTS (SELECT 1 FROM information_schema.columns 
                WHERE table_name='opendtu_events' 
                AND column_name='start_timestamp') THEN
        -- Add start_timestamp column
        ALTER TABLE opendtu_events 
        ADD COLUMN start_timestamp TIMESTAMPTZ;
    END IF;

    -- Check if end_timestamp column exists
    IF NOT EXISTS (SELECT 1 FROM information_schema.columns 
                WHERE table_name='opendtu_events' 
                AND column_name='end_timestamp') THEN
        -- Add end_timestamp column
        ALTER TABLE opendtu_events 
        ADD COLUMN end_timestamp TIMESTAMPTZ;
    END IF;
END $$;
-- +goose StatementEnd
-- +goose Down
-- +goose StatementBegin
-- +goose StatementEnd
